Re: The following packages have unmet dependencies: packagegroup-core-x11-base : Depends: packagegroup-core-x11-xserver but it is not going to be installed #yocto


Pankaj Vinadrao Joshi
 

Sorry i forgot to attach the complete error log also i dont know while posting why the local.conf features it got copied twice,

ERROR: core-image-sato-1.0-r0 do_rootfs: Unable to install packages. Command '/home/performance-team/pankaj/Oe_raspberrypi4/tmp-glibc/work/raspberrypi4_64-oe-linux/core-image-sato/1.0-r0/recipe-sysroot-native/usr/bin/opkg --volatile-cache -f /home/performance-team/pankaj/Oe_raspberrypi4/tmp-glibc/work/raspberrypi4_64-oe-linux/core-image-sato/1.0-r0/opkg.conf -t /home/performance-team/pankaj/Oe_raspberrypi4/tmp-glibc/work/raspberrypi4_64-oe-linux/core-image-sato/1.0-r0/temp/ipktemp/ -o /home/performance-team/pankaj/Oe_raspberrypi4/tmp-glibc/work/raspberrypi4_64-oe-linux/core-image-sato/1.0-r0/rootfs  --force_postinstall --prefer-arch-to-version   install cpufrequtils cups dbus dhcp-client dhcp-server dhcpcd dosfstools dstat e2fsprogs gdbserver hostapd iperf3 libnss-mdns libsdl2 libtirpc lzo make man-pages minicom mtd-utils nasm ncurses-libncurses ncurses-terminfo-base ncurses-tools nfs-utils opkg packagegroup-core-eclipse-debug packagegroup-core-nfs-client packagegroup-core-nfs-server packagegroup-core-sdk packagegroup-core-ssh-openssh packagegroup-core-standalone-sdk-target packagegroup-core-tools-debug packagegroup-core-tools-profile packagegroup-core-tools-testapps packagegroup-core-x11 packagegroup-core-x11-base packagegroup-core-x11-sato pciutils perf psplash-raspberrypi python3-flask python3-matplotlib rsync run-postinsts strace sudo unzip vim zlib' returned 2:
Collected errors:
 * Solver encountered 2 problem(s):
 * Problem 1/2:
 *   - package packagegroup-core-x11-base-1.0-r1.all requires packagegroup-core-x11-xserver, but none of the providers can be installed
 *   - conflicting requests
 *   - nothing provides xserver-xorg-extension-glx needed by packagegroup-core-x11-xserver-1.0-r40.raspberrypi4_64
 * 
 * Solution 1:
 *   - do not ask to install a package providing packagegroup-core-x11-base
 
 * Problem 2/2:
 *   - package packagegroup-core-x11-1.0-r40.all requires packagegroup-core-x11-xserver, but none of the providers can be installed
 *   - conflicting requests
 *   - nothing provides xserver-xorg-extension-glx needed by packagegroup-core-x11-xserver-1.0-r40.raspberrypi4_64
 * 
 * Solution 1:
 *   - do not ask to install a package providing packagegroup-core-x11
 
 
 
 
ERROR: Logfile of failure stored in: /home/performance-team/pankaj/Oe_raspberrypi4/tmp-glibc/work/raspberrypi4_64-oe-linux/core-image-sato/1.0-r0/temp/log.do_rootfs.645
ERROR: Task (/home/performance-team/pankaj/openembedded-core/meta/recipes-sato/images/core-image-sato.bb:do_rootfs) failed with exit code '1'
NOTE: Tasks Summary: Attempted 6537 tasks of which 6536 didn't need to be rerun and 1 failed.
 

Join yocto@lists.yoctoproject.org to automatically receive all group messages.